Page MenuHomePhabricator

Improving static analysis tools for MediaWiki - Weekly reports
Closed, ResolvedPublic

Description

Week 1 (23 May - 29 May)
  • rechecked and retested current sniffs
  • moved developed environment from Windows to Linux
  • discussed the details about comment sniff with mentors
Week 2 (30 May - 5 Jun)
  • Add a sniff for comments of a function.
  • Add a sniff for detecting whether a space is shown before a control structure brace.
  • Fix: now the sniff can fix the situation where multiple whitespaces shown after the single-lined comment token (“//” or “#”).
Week 3 (6 Jun - 12 Jun)
  • Put the failed examples and passed examples into a file.
  • make sure no empty line at the begin of function.
Week 4 (13 Jun - 19 Jun)
  • Give warnings to function namings using lower camel case
  • Make sure no comment like /*** fail ***/(coding)
Week 5 (20 Jun - 26 Jun)
  • Comments should start with new line.
  • Make sure no comment like /*** fail ***/
  • check if the code use PHP superglobals (like $_GET, $_POST, etc) (coding)
Week 6 (26 Jun - 3 Jul)
  • Brace should be placed on the same line as the start of class (In progress)
  • Construct array of configures (In progress)
  • Finish a sniff for checking if there are code using PHP superglobals like $_GET and $_POST, etc.

Sorry for late in submitting last week's report. I have only limited Internet access until tomorrow since I moved into my new apartment last weekend.

Week 7 (4 Jul - 11 Jul)
  • Working on construct array of configures (designing and will discuss with mentor soon).
  • Wrote a new sniff for detecting and fixing the missing brace placed on the same line as the start of class.
  • Update the sniff for detecting illegal inline comments - removed the detection and fix for document comments.
Week 8 (12 Jul - 17 Jul)
  • Construct array of configures: deferred. We have to find a graceful way to inspect a class's behaviour under the PHPCS environment.
  • Working on a testing demo sniff of detecting $this->msg() usage.
Week 9 (18 Jul - 24 Jul)
  • Working on a testing demo sniff of detecting $this->msg() usage. By solving this problem we can apply the same pattern on detecting wfRequests(), etc.
  • Ready to submit a patch for detecting $dbr->query().
  • Topics on $wgExtensionFunction and deprecated functions detection remains discussion.
Week 10 (25 Jul - 31 Jul)
  • Working on a testing demo sniff of detecting $this->msg() usage. => Demo submitted. Need to collect a list of classes derived from ContextSource.
  • Ready to submit a patch for detecting $dbr->query(). Submitted.
Week 11 (1 Aug - 7 Aug)
  • Creating a list of classes that were derived from ContextSource.
Week 12 (8 Aug - 14 Aug)
  • Creating a list of classes that were derived from ContextSource (WIP).
  • Extend the sniff for detecting $wgUser, $wgRequest, etc (Todo).
Week 13 (15 Aug - 21 Aug)
  • Modifying certain globals ($wgUser, $wgResourceModules, etc) inside a $wgExtensionFunction where it is either too early or late to do so(Todo)

Event Timeline

Lethexie created this task.May 3 2016, 1:53 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 3 2016, 1:53 AM
Lethexie renamed this task from Weekly Reports for Improving an static analysis tools for MediaWiki to Improving an static analysis tools for MediaWiki - Weekly reports.May 7 2016, 1:09 PM
Lethexie updated the task description. (Show Details)May 28 2016, 2:33 AM
Krinkle renamed this task from Improving an static analysis tools for MediaWiki - Weekly reports to Improving static analysis tools for MediaWiki - Weekly reports.Jun 1 2016, 6:26 PM
Lethexie updated the task description. (Show Details)Jun 5 2016, 4:10 PM
Lethexie updated the task description. (Show Details)Jun 12 2016, 11:34 PM
Lethexie updated the task description. (Show Details)Jun 20 2016, 2:45 PM
Lethexie updated the task description. (Show Details)Jun 27 2016, 4:19 AM

@Lethexie Please update your status report for this week!

Lethexie updated the task description. (Show Details)Jul 4 2016, 2:41 PM
Lethexie updated the task description. (Show Details)Jul 10 2016, 2:50 PM
Lethexie updated the task description. (Show Details)Jul 18 2016, 3:36 AM

@Lethexie : Please update your status report for the week! Its better to not to keep it to the end of the week, and do it on a daily basis :)

Lethexie updated the task description. (Show Details)Jul 25 2016, 6:09 PM

@01tonythomas Apologize for some lateness in submitting the weekly report! I will start updating the weekly report daily from now on.

Lethexie updated the task description. (Show Details)Jul 25 2016, 6:13 PM
Lethexie updated the task description. (Show Details)Jul 27 2016, 8:36 AM
Lethexie updated the task description. (Show Details)Aug 1 2016, 3:09 PM
Lethexie updated the task description. (Show Details)Aug 10 2016, 7:00 PM
Lethexie updated the task description. (Show Details)Aug 16 2016, 3:43 PM

Thank you for the weekly reports. Feel free to close this down, as the program just got over.

01tonythomas closed this task as Resolved.Sep 14 2016, 6:35 AM